package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.College;
import com.realnet.basicp1.Services.CollegeService ;






@RequestMapping(value = "/College")
 @CrossOrigin("*") 
@RestController
public class CollegeController {
	@Autowired
	private CollegeService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/College")
		  public College Savedata(@RequestBody College data) {
		College save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/College/{id}")
	public  College update(@RequestBody College data,@PathVariable Integer id ) {
		College update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/College/getall/page")
	public Page<College> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<College> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/College")
	public List<College> getdetails() {
		 List<College> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/College")
	public List<College> getallwioutsec() {
		 List<College> get = Service.getdetails();		
		return get;
}
@GetMapping("/College/{id}")
	public  College  getdetailsbyId(@PathVariable Integer id ) {
		College  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/College/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}